org.eclipse.oomph.setup

## Interface TextModifyTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    TextModifyTaskImpl

      public interface TextModifyTask
      extends SetupTask

  A representation of the model object 'Text Modify Task'.

  The following features are supported:

  - `URL`
  - `Modifications`
  - `Encoding`
  See Also:
    `SetupPackage.getTextModifyTask()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()` Returns the value of the 'Encoding' attribute.
    `EList<TextModification>` | `getModifications()` Returns the value of the 'Modifications' containment reference list.
    `String` | `getURL()` Returns the value of the 'URL' attribute.
    `void` | `setEncoding(String value)` Sets the value of the '`Encoding`' attribute.
    `void` | `setURL(String value)` Sets the value of the '`URL`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getURL

          String getURL()

      Returns the value of the 'URL' attribute.

      If the meaning of the 'URL' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'URL' attribute.
      See Also:
        `setURL(String)`, `SetupPackage.getTextModifyTask_URL()`
      Generated
      Model
        required="true" extendedMetaData="kind='attribute' name='url'"

    - #### setURL

          void setURL(String value)

      Sets the value of the '`URL`' attribute.
      Parameters:
        `value` - the new value of the 'URL' attribute.
      See Also:
        `getURL()`
      Generated

    - #### getModifications

          EList<TextModification> getModifications()

      Returns the value of the 'Modifications' containment reference list. The list contents are of type `TextModification`.

      If the meaning of the 'Modifications' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Modifications' containment reference list.
      See Also:
        `SetupPackage.getTextModifyTask_Modifications()`
      Generated
      Model
        containment="true" resolveProxies="true" extendedMetaData="name='modification'"

    - #### getEncoding

          String getEncoding()

      Returns the value of the 'Encoding' attribute.

      If the meaning of the 'Encoding' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Encoding' attribute.
      See Also:
        `setEncoding(String)`, `SetupPackage.getTextModifyTask_Encoding()`
      Generated
      Model

    - #### setEncoding

          void setEncoding(String value)

      Sets the value of the '`Encoding`' attribute.
      Parameters:
        `value` - the new value of the 'Encoding' attribute.
      See Also:
        `getEncoding()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html